## codegroup 19981025

=== Makefile ===
 
PROGS = codegroup
CFLAGS = -O

all:	$(PROGS)

clean:
	rm -f $(PROGS) *.o *.bak *.zip core *.out

codegroup: codegroup.o
	$(CC) codegroup.o -o codegroup $(CFLAGS)

#   Create zipped archive

RELFILES = Makefile codegroup.1 codegroup.c \
	   codegroup.html codegroup.jpg codegroup.man codegrp.exe

release:
	rm -f codegroup.zip
	zip codegroup.zip $(RELFILES)

#   View manual page

manpage:
	nroff -man codegroup.1 | $(PAGER)

#   Print manual page

printman:
	ptroff -man codegroup.1

# Test it

test:	codegroup
	codegroup -e <codegroup >/tmp/codegroup1.bak
	codegroup -d </tmp/codegroup1.bak >/tmp/codegroup2.bak
	cmp codegroup /tmp/codegroup2.bak
	codegroup -e codegroup /tmp/codegroup1.bak
	codegroup -d /tmp/codegroup1.bak /tmp/codegroup2.bak
	cmp codegroup /tmp/codegroup2.bak
#	rm /tmp/codegroup1.bak /tmp/codegroup2.bak

=== debian/changelog ===
codegroup (19981025-9) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 (quilt) format (Closes: #1007603).
  * Upgrade debhelper to non-deprecated level 12.
  * Drop non-functional debian/watch.
  * Move upstream.txt to README.source where its instructions belong.

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 09:56:28 +0200

codegroup (19981025-8) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #848566)
  * Migrated DH level to 11.
  * debian/control: bumped Standards-Version to 4.2.1.

 -- Helen Koike <helen@koikeco.de>  Mon, 03 Sep 2018 01:17:55 +0300

codegroup (19981025-7) unstable; urgency=low

  * Upgrade standards version from 3.9.2.0 to 3.9.5.0 in debian/control
  * debhelper compat level 8 to 9, resulting in debian/control Build-Depends change
  * Minor changes in Makefile and debian/rules to support hardened building

 -- Vince Mulhollon <vlm@debian.org>  Fri, 14 Feb 2014 22:36:27 -0600

codegroup (19981025-6) unstable; urgency=low

  * Upgrade standards version from 3.9.1.0 to 3.9.2.0
  * Redoing debian/rules into the "tiny" version.
    The old rules file manually installed the binary into /usr/bin so I
    added an install: stanza and BIN variable to the makefile.
  * Minimal debian/watch file added
  * Explicitly set source format 1.0 (for now) in debian/source/format
    This makes lintian happy, missing-debian-source-format goes away
    Eventually I'll switch to Quilt-3.0 format, just not today.

 -- Vince Mulhollon <vlm@debian.org>  Sun, 24 Jul 2011 11:34:48 -0500

codegroup (19981025-5) unstable; urgency=low

  * Added Homepage line to control file

 -- Vince Mulhollon <vlm@debian.org>  Tue, 01 Mar 2011 13:26:39 -0600

codegroup (19981025-4) unstable; urgency=low

  * Upgraded dh compat from 4 to 8.  Updated control and compat to match.
    This fixes lintian package-uses-deprecated-debhelper-compat-version
  * Upgrade standards version from 3.7.2 to 3.9.1.0
    This fixes lintian ancient-standards-version
  * Corrected misspelling in the control file.
    This fixes lintian spelling-error-in-description
    (Closes: #363210)
  * Fix section name in codegroup.doc-base
    This fixes lintian doc-base-unknown-section
  * Cleaned up whitespace in codegroup.doc-base
    This fixes doc-base-file-separator-extra-whitespaces
  * Edited the manpage to not use CS
    This fixes lintian manpage-has-errors-from-man
  * Changed from dh_clean -k to dh_prep
    This fixes lintian dh-clean-k-is-deprecated

 -- Vince Mulhollon <vlm@debian.org>  Tue, 01 Mar 2011 12:17:48 -0600

codegroup (19981025-3) unstable; urgency=low

  * Update standards version from 3.6.1.1 to 3.6.2.0

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 21:05:13 -0500

codegroup (19981025-2) unstable; urgency=low

  * Fix typo in control file
    (Closes: #277212)

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Oct 2004 19:07:55 -0500

codegroup (19981025-1) unstable; urgency=low

  * Initial Release.

 -- Vince Mulhollon <vlm@debian.org>  Sat, 21 Aug 2004 20:36:44 -0500

=== debian/control ===
Source: codegroup
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.16.1~)
Standards-Version: 4.2.1
Homepage: http://www.fourmilab.ch/codegroup/

Package: codegroup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Convert any file, including binary, into 5 letter code
 Codegroup converts any file, of any format including raw binary,
 into a set of five letter uppercase codegroups.
 The codegroup format includes a 16 bit CRC and file length to verify
 message integrity.
 Codegroup does NO CRYPTO.  It's purely a file format converter
 much like base64 or uuencoding.
 Unlike other traditional file encoding algorithms such as
 base64 or uuencoding, codegroup exclusively uses the 26
 letter alphabet.
 Codegroup is ideal for transferring short binary files over a voice
 or morse code channel.

## codegroup 20080907%2Bds1

=== debian/changelog ===
codegroup (20080907+ds1-1) unstable; urgency=medium

  * New upstream version "20080907+ds1".
  * debian/codegroup.doc-base: Rename to "doc-base".
  * debian/codegroup.manpages: Rename to "manpages".
  * debian/control:
    - Bump Standards-Version to "4.7.2".
    - Description completely rewritten.
  * debian/patches:
    - 01_manpage-cleanups.patch: Remove. Content moved to new files:
      "01_manpage-remove-cs.patch" and "04_html-cleanups.patch".
    - 02_fix-build-flags.patch: Update due new upstream version.
    - 03_add-make-install.patch: Update due new upstream version.
    - 04_fix-make-test.patch: Remove. No longer need.
    - 04_html-cleanups.patch: Remove all external links too.
    - 05_fix-assign-stdin-stdout.patch: Remove. No longer need.
  * debian/patches/*: Add headers to all patches.
  * debian/source/include-binaries: Add to allow binaries in CI tests.
  * debian/source/lintian-overrides: New. Lintian override on "file.devrandom".
  * debian/tests/*: Create autopkgtest.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/README.source: Completely rewritten.

 -- Marcos Talau <talau@debian.org>  Tue, 18 Mar 2025 18:01:29 -0300

codegroup (19981025-11) unstable; urgency=medium

  * New maintainer (Closes: #848566).
  * debian/control:
    - Add Rules-Requires-Root field.
    - Bump debhelper-compat to 13.
    - Remove dpkg-dev (>= 1.16.1~) from Build-Depends.
  * debian/gbp.conf: Remove. No longer need.
  * debian/patches/doc.patch: Rename to "01_manpage-cleanups.patch".
  * debian/patches/move-init.patch: Rename to
    "05_fix-assign-stdin-stdout.patch".
  * debian/patches/Makefile.patch: Split into "02_fix-build-flags.patch",
    "03_add-make-install.patch", and "04_fix-make-test.patch".
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.

 -- Marcos Talau <talau@debian.org>  Mon, 17 Mar 2025 16:35:14 -0300

codegroup (19981025-10) unstable; urgency=medium

  * QA upload.
  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Apr 2024 22:32:37 +0200

## codegroup 20080907+ds1

=== debian/control ===
Source: codegroup
Section: text
Priority: optional
Maintainer: Marcos Talau <talau@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: http://www.fourmilab.ch/codegroup
Vcs-Browser: https://salsa.debian.org/debian/codegroup
Vcs-Git: https://salsa.debian.org/debian/codegroup.git
Rules-Requires-Root: no

Package: codegroup
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: convert any file into five-letter code groups
 codegroup encodes any file into five-letter code groups, allowing it to be
 transmitted through any medium, and decodes files containing codegroups into
 the original input. Encoded files contain a 16-bit cyclical redundancy check
 (CRC) and file size to verify, when decoded, that the message is complete and
 correct. Files being decoded may contain other information before and after
 the codegroups, allowing in-the-clear annotations to be included.
 .
 codegroup makes no attempt, on its own, to prevent your message from being
 read. Cryptographic security should be delegated to a package intended for
 that purpose, such as pgp. It can then be applied to the encrypted binary
 output, transforming it into easily transmitted text. Text created by it
 uses only upper case ASCII letters and spaces. Unlike files encoded with
 uuencode or pgp's "ASCII armour" facility, the output of codegroup can be
 easily (albeit tediously) read over the telephone, broadcast by shortwave
 radio to agents in the field, or sent by telegram, telex, or Morse code.

=== debian/tests/control ===
Test-Command: codegroup -usage 2>&1 | grep Call -A 1

Test-Command: msg="This is a message to encode/decode.";
              fout="$AUTOPKGTEST_TMP/out";
              echo "$msg" > $fout.text;
              echo "$msg" | codegroup -e > $fout.5l;
              codegroup -d $fout.5l $fout.dec;
              cmp -s $fout.text $fout.dec

Tests: enc-dec-files.sh
